DisMaxParams (Solr 3.6.2 API)
Keywords: org.apache.solr.common.params.DisMaxParams interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.common.params
Interface DisMaxParams

    public interface DisMaxParams

A collection of params used in DisMaxRequestHandler, both for Plugin initialization and for Requests.

Field Summary
`static String` | `ALTQ` Alternate query (expressed in Solr QuerySyntax) to use if main query (q) is empty
`static String` | `BF` query and init param for boosting functions
`static String` | `BQ` query and init param for boosting query
`static String` | `GEN` query and init param for field list
`static String` | `MM` query and init param for MinShouldMatch specification
`static String` | `PF` query and init param for phrase boost fields
`static String` | `PS` query and init param for Phrase Slop value in phrase boost query (in pf fields)
`static String` | `QF` query and init param for query fields
`static String` | `QS` query and init param for phrase Slop value in phrases explicitly included in the user's query string ( in qf fields)
`static String` | `TIE` query and init param for tiebreaker value

Field Detail

### TIE

    static final String TIE

  query and init param for tiebreaker value

  See Also:
    Constant Field Values

### QF

    static final String QF

  query and init param for query fields

  See Also:
    Constant Field Values

### PF

    static final String PF

  query and init param for phrase boost fields

  See Also:
    Constant Field Values

### MM

    static final String MM

  query and init param for MinShouldMatch specification

  See Also:
    Constant Field Values

### PS

    static final String PS

  query and init param for Phrase Slop value in phrase boost query (in pf fields)

  See Also:
    Constant Field Values

### QS

    static final String QS

  query and init param for phrase Slop value in phrases explicitly included in the user's query string ( in qf fields)

  See Also:
    Constant Field Values

### BQ

    static final String BQ

  query and init param for boosting query

  See Also:
    Constant Field Values

### BF

    static final String BF

  query and init param for boosting functions

  See Also:
    Constant Field Values

### ALTQ

    static final String ALTQ

  Alternate query (expressed in Solr QuerySyntax) to use if main query (q) is empty

  See Also:
    Constant Field Values

### GEN

    static final String GEN

  query and init param for field list

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD